<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('adjustments_and_deductions', function (Blueprint $table) {
            $table->boolean('paused')->default(0)->after('remarks');
            $table->date('resume_date')->after('paused')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('adjustments_and_deductions', function (Blueprint $table) {
            $table->dropColumn('paused');
            $table->dropColumn('resume_date');
        });
    }
};
